namespace Ryujinx.HLE.Loaders.Elf
{
    internal enum ElfDynamicTag
    {
        Null            = 0,
        Needed          = 1,
        PltRelSz        = 2,
        PltGoz          = 3,
        Hash            = 4,
        StrTab          = 5,
        SymTab          = 6,
        RelA            = 7,
        RelASz          = 8,
        RelAEnt         = 9,
        StrSz           = 10,
        SymEnt          = 11,
        Init            = 12,
        Fini            = 13,
        SoName          = 14,
        RPath           = 15,
        Symbolic        = 16,
        Rel             = 17,
        RelSz           = 18,
        RelEnt          = 19,
        PltRel          = 20,
        Debug           = 21,
        TextRel         = 22,
        JmpRel          = 23,
        BindNow         = 24,
        InitArray       = 25,
        FiniArray       = 26,
        InitArraySz     = 27,
        FiniArraySz     = 28,
        RunPath         = 29,
        Flags           = 30,
        Encoding        = 32,
        PreInitArray    = 32,
        PreInitArraySz  = 33,
        GnuPrelinked    = 0x6ffffdf5,
        GnuConflictSz   = 0x6ffffdf6,
        GnuLibListSz    = 0x6ffffdf7,
        Checksum        = 0x6ffffdf8,
        PltPadSz        = 0x6ffffdf9,
        MoveEnt         = 0x6ffffdfa,
        MoveSz          = 0x6ffffdfb,
        Feature1        = 0x6ffffdfc,
        PosFlag1        = 0x6ffffdfd,
        SymInSz         = 0x6ffffdfe,
        SymInEnt        = 0x6ffffdff,
        GnuHash         = 0x6ffffef5,
        TlsDescPlt      = 0x6ffffef6,
        TlsDescGot      = 0x6ffffef7,
        GnuConflict     = 0x6ffffef8,
        GnuLibList      = 0x6ffffef9,
        Config          = 0x6ffffefa,
        DepAudit        = 0x6ffffefb,
        Audit           = 0x6ffffefc,
        PltPad          = 0x6ffffefd,
        MoveTab         = 0x6ffffefe,
        SymInfo         = 0x6ffffeff,
        VerSym          = 0x6ffffff0,
        RelaCount       = 0x6ffffff9,
        RelCount        = 0x6ffffffa,
        Flags1          = 0x6ffffffb,
        VerDef          = 0x6ffffffc,
        VerDefNum       = 0x6ffffffd,
        VerNeed         = 0x6ffffffe,
        VerNeedNum      = 0x6fffffff,
        Auxiliary       = 0x7ffffffd,
        Filter          = 0x7fffffff
    }
}